Bug 1937375 - [release-4.7] When deploying the operator via OLM (after creating the respective catalogsource), the deployment "lost" the `resources` section.
Summary: [release-4.7] When deploying the operator via OLM (after creating the respect...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: ---
: 4.7.z
Assignee: Joe Lanford
QA Contact: xzha
URL:
Whiteboard:
Depends On: 1926893
Blocks: 1945149
TreeView+ depends on / blocked
 
Reported: 2021-03-10 14:04 UTC by Joe Lanford
Modified: 2021-04-05 13:56 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1926893
: 1945149 (view as bug list)
Environment:
Last Closed: 2021-04-05 13:56:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 2036 0 None open [release-4.7] Bug 1937375: only override deployment resources when explicitly defined in subscription config 2021-03-10 14:12:13 UTC
Red Hat Product Errata RHSA-2021:1005 0 None None None 2021-04-05 13:56:32 UTC

Comment 4 xzha 2021-03-26 03:06:06 UTC
verify:

1. install cluster with this PR
zhaoxia@xia-MacBook-Pro 1926893 % oc get clusterversion       
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-03-25-225737   True        False         42m     Cluster version is 4.7.0-0.nightly-2021-03-25-225737

2) create catalogsource
zhaoxia@xia-MacBook-Pro 1926893 % cat catsrc.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  labels:
    olm-visibility: hidden
    opsrc-datastore: "true"
    opsrc-provider: reproducer
  name: reproducer-operators
  namespace: openshift-marketplace
spec:
  displayName: Reproducer Operators
  icon:
    base64data: ""
    mediatype: ""
  image: quay.io/jaeichle/reproducer-hello-world-index:0.0.1
  priority: -400
  publisher: jaeichle
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 100m0s
zhaoxia@xia-MacBook-Pro 1926893 % oc apply -f catsrc.yaml 
catalogsource.operators.coreos.com/reproducer-operators created
zhaoxia@xia-MacBook-Pro 1926893 % oc get catsrc -A
NAMESPACE               NAME                   DISPLAY                TYPE   PUBLISHER      AGE
openshift-marketplace   certified-operators    Certified Operators    grpc   Red Hat        56m
openshift-marketplace   community-operators    Community Operators    grpc   Red Hat        56m
openshift-marketplace   qe-app-registry        Production Operators   grpc   OpenShift QE   33m
openshift-marketplace   redhat-marketplace     Red Hat Marketplace    grpc   Red Hat        56m
openshift-marketplace   redhat-operators       Red Hat Operators      grpc   Red Hat        56m
openshift-marketplace   reproducer-operators   Reproducer Operators   grpc   jaeichle       9s
zhaoxia@xia-MacBook-Pro 1926893 % oc get packagemanifest -A | grep Reproducer
openshift-marketplace   helloworld-operator                                  Reproducer Operators   41s


3) install operator
zhaoxia@xia-MacBook-Pro 1926893 % oc get sub
NAME                  PACKAGE               SOURCE                 CHANNEL
helloworld-operator   helloworld-operator   reproducer-operators   alpha

zhaoxia@xia-MacBook-Pro 1926893 % oc get csv helloworld-operator.v0.0.1  -o yaml | grep limit -A 5

                  limits:
                    cpu: 500m
                    memory: 500Mi
                  requests:
                    cpu: 100m
                    memory: 100Mi
zhaoxia@xia-MacBook-Pro 1926893 % oc get deployment helloworld-operator   -o yaml | grep resources -A 6
        resources:
          limits:
            cpu: 500m
            memory: 500Mi
          requests:
            cpu: 100m
            memory: 100Mi
zhaoxia@xia-MacBook-Pro 1926893 % oc get pod
NAME                                   READY   STATUS    RESTARTS   AGE
helloworld-operator-658c5f6787-46bmc   1/1     Running   0          83s
zhaoxia@xia-MacBook-Pro 1926893 % oc get pod helloworld-operator-658c5f6787-46bmc -o yaml | grep resources -A 6
    resources:
      limits:
        cpu: 500m
        memory: 500Mi
      requests:
        cpu: 100m
        memory: 100Mi

LGTM. verified

Comment 7 errata-xmlrpc 2021-04-05 13:56:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.5 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1005


Note You need to log in before you can comment on or make changes to this bug.